# Get single account (deprecated)

Returns a specific account shared for a consent.


Does a fresh pull from the external provider.

Endpoint: GET /data/v2/consents/{consentId}/accounts/{accountId}
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    The consent ID for which we want to fetch account information

  - `accountId` (string, required)
    The account ID for which we want to fetch account information

## Header parameters:

  - `endUser-Ip` (string)
    The IP address of the end user. If provided will enable unlimited data refreshes for open banking providers that support this feature.

## Response 200 fields (application/json):

  - `data` (object)
    Account returned for a given consent.

  - `data.providerId` (string)
    The unique identifier of the provider.

  - `data.providerName` (string)
    The name of the provider e.g., Lloyds.

  - `data.countryCode` (string)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `data.requestDateTime` (string)
    ISO 8601 (UTC) encoded date time string containing
the date and time the data was retrieved.

  - `data.account` (object)
    Details of a specific account

  - `data.account.accountId` (string)
    Unique identifier for the account at the institution.

  - `data.account.currencyCode` (string)
    ISO4217 currency code for the account.

  - `data.account.displayName` (string)
    The user’s familiar name for the account.

  - `data.account.accountHolderNames` (string)
    The AccountHolderNames is the name or names of the account owner(s) represented at an account level.

  - `data.account.accountType` (string)
    Enum: "Business", "Personal"

  - `data.account.accountSubType` (string)
    Enum: "ChargeCard", "CreditCard", "CurrentAccount", "Emoney", "Loan", "Mortgage", "PrepaidCard", "Savings"

  - `data.account.identifiers` (object)

  - `data.account.identifiers.accountNumber` (string)
    The bank’s unique identifier for the account.

  - `data.account.identifiers.bankCode` (string)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK).

  - `data.account.identifiers.bic` (string)
    Bank Identifier Code (BIC) is a standard format used to help identify banks worldwide.
BIC is needed when transferring money between banks,
in particular for international wire transfers.
BIC code is interchangeably used with SWIFT code

  - `data.account.identifiers.iban` (string)
    International Bank Account Number (IBAN).

  - `data.account.identifiers.secondaryIdentification` (string)
    Additional information for identifying the account in the institution,
e.g., Building society Roll Number.

  - `data.account.parties` (array)

  - `data.account.parties.partyId` (string)
    A unique and immutable identifier used to identify a specific party.
This identifier has no meaning to the account owner.

  - `data.account.parties.fullName` (string)
    Name by which a specific party is known and which is usually used to identify that party.

  - `data.account.parties.addresses` (array)
    Addresses associated with a specific party.

  - `data.account.parties.addresses.address` (string)
    Information that identifies an address of a specific party.

  - `data.account.parties.addresses.type` (string)
    A collection of address types.
    Enum: "Business", "Correspondence", "DeliveryTo", "MailTo", "POBox", "Postal", "Residential", "Statement"

  - `data.account.parties.addresses.city` (string)
    Information that identifies a specific city in the party address.

  - `data.account.parties.addresses.postcode` (string)
    Information that identifies a specific postcode in the party address.

  - `data.account.parties.addresses.country` (string)
    Information that identifies a specific country in the party address.

  - `data.account.parties.addresses.countrySubDivision` (string)
    Identifies a subdivision of a country e.g., state, region, county in the party address.

  - `data.account.parties.partyType` (string)
    Party type, in a coded form.
    Enum: "Delegate", "Joint", "Sole"

  - `data.account.parties.isIndividual` (boolean)
    Indicates the party is an individual and not a business.

  - `data.account.parties.isAuthorizingParty` (boolean)
    Indicates the party authorized the connection on behalf of a joint or business account.

  - `data.account.parties.emailAddress` (string)
    Email address of a specific party.

  - `data.account.parties.phoneNumbers` (array)
    Phone numbers which are linked to a specific party.

  - `data.account.parties.phoneNumbers.type` (string)
    A collection of different types of phone number.
    Enum: "Home", "Work", "Landline", "Mobile"

  - `data.account.parties.phoneNumbers.phoneNumber` (string)
    Collection of information that identifies a phone number.

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

